/****************************************************************
 *                                                              *
 *  Copyright (C) 2003,2005 Christoffer Owe                     *
 *  For conditions of distribution and use, see License.txt     *
 *                                                              *
 ****************************************************************/

#ifndef __GEDCOMDATA
#define __GEDCOMDATA

#include "common.h"
#include "gc_header.h"
#include "gc_submitter.h"
#include "gc_repository.h"
#include "gc_source.h"
#include "gc_person.h"
#include "gc_family.h"
#include "gc_event.h"
#include "gc_object.h"

class GEDCOMDATA
{
public:
	GC_HEADER Header;
	VECTOR<GC_SUBMITTER*> Submitters;
	VECTOR<GC_REPOSITORY*> Repositories;
	IDTABLE RepositoryIDs;
	VECTOR<GC_SOURCE*> Sources;
	IDTABLE SourceIDs;
	VECTOR<GC_SOURCECITE*> Sourcerefs;
	VECTOR<GC_PERSON*> Persons;
	IDTABLE PersonIDs;
	VECTOR<GC_FAMILY*> Families;
	VECTOR<EVENTTYPE*> Eventtypes;
	VECTOR<GC_NOTEREC*> Notes;
	IDTABLE NoteIDs;
	VECTOR<GC_OBJECTREC*> Objects;
	IDTABLE ObjectIDs;
	VECTOR<GC_TODO*> Todos;

	BOOL Import(GEDCOMFILE&,HWND);
};

#endif