/****************************************************************
 *                                                              *
 *  Copyright (C) 2003,2005 Christoffer Owe                     *
 *  For conditions of distribution and use, see License.txt     *
 *                                                              *
 ****************************************************************/

#include "ged2xml.h"
#include "gc_attribute.h"

BOOL GC_ATTRIBUTE::Import(GEDCOMFILE& file,VECTOR<GC_SOURCE*>& Sources,VECTOR<GC_SOURCECITE*>& Sourcerefs)
{
	GC_SOURCECITE* Sourceref;
	BOOL result = TRUE;

	int TopLevel = file.GetLevel();
	Tag = file.GetTag();
	Text = file.GetText();
	file.NextLine();
	if (!file.InterpretLine())
		return (FALSE);
	while (file.GetLevel()>TopLevel && result==TRUE)
	{
		switch(file.GetTag())
		{
		case TAG_AGE:
		case TAG_AGNC:
		case TAG_CAUS:
			file.PrintError(ERROR_IGNORE,TRUE);
			result = file.NextLine();
			break;
		case TAG_TYPE:
			Type = file.GetText();
			result = file.NextLine();
			break;
		case TAG_DATE:
			result = Date.Import(file);
			break;
		case TAG_PLAC:
			result = Place.Import(file);
			break;
		case TAG_ADDR:
			result = Address.Import(file);
			break;
		case TAG_SOUR:
			Sourceref = new GC_SOURCECITE();
			result = Sourceref->Import(file,Sources);
			if (result)
				SourcerefIDs.Add(Sourcerefs.Add(Sourceref));
			else
				delete Sourceref;
			break;
		case TAG_NOTE:
			result = Note.ImportNote(file);
			break;
		default:
			file.IllegalTag();
			break;
		}
		if (!file.InterpretLine())
			return (FALSE);
		if (!result)
			return FALSE;
	}
	return TRUE;
}