/****************************************************************
 *                                                              *
 *  Copyright (C) 2003,2005 Christoffer Owe                     *
 *  For conditions of distribution and use, see License.txt     *
 *                                                              *
 ****************************************************************/

#ifndef __GC_DATE
#define __GC_DATE

#include "gedcom.h"

#define CALENDAR_HEBREW		0
#define CALENDAR_ROMAN		1
#define CALENDAR_FRENCH		2
#define CALENDAR_GREGORIAN	3
#define CALENDAR_JULIAN		4
#define CALENDAR_UNKNOWN	5
#define DATETYPE_NONE		0
#define DATETYPE_TEXT		1
#define DATETYPE_EXACT		2
#define DATETYPE_ABT		3
#define DATETYPE_EST		4
#define DATETYPE_FROM		5
#define DATETYPE_TO			6
#define DATETYPE_FROMTO		7
#define DATETYPE_BEF		8
#define DATETYPE_AFT		9
#define DATETYPE_BET		10

class GC_SIMPLEDATE
{
public:
	BYTE calendar;
	BYTE day;
	BYTE month;
	int year;
	int alternateyear;
	char hours;
	char minutes;
	char seconds;

	GC_SIMPLEDATE(){year=0;hours=-1;minutes=-1;seconds=-1;}
	BOOL Import(GEDCOMFILE&);		// Only for CHAN
	BOOL InterpretDate(GEDCOMFILE&);
	BOOL InterpretEuropeanDate(GEDCOMFILE&);
};

class GC_DATE
{
public:
	char DateType;
	GC_SIMPLEDATE Date1;
	GC_SIMPLEDATE Date2;
	STRING Text;

	GC_DATE();
	BOOL Import(GEDCOMFILE&);
};

class GC_CHANGE
{
public:
	GC_SIMPLEDATE Date;

	BOOL Import(GEDCOMFILE&);
};

#endif