/****************************************************************
 *                                                              *
 *  Copyright (C) 2003-2007 Christoffer Owe                     *
 *  For conditions of distribution and use, see License.txt     *
 *                                                              *
 ****************************************************************/

#include "gc_name.h"
#include "gedcom.h"

BOOL GC_NAME::Import(GEDCOMFILE& file,VECTOR<GC_SOURCE*>& Sources,VECTOR<GC_SOURCECITE*>& Sourcerefs)
{
	BOOL result = TRUE;
	GC_SOURCECITE* Sourceref;
	int TopLevel = file.GetLevel();
	Name = file.GetText();
	file.NextLine();
	if (!file.InterpretLine())
		return (FALSE);
	while (file.GetLevel()>TopLevel && result==TRUE)
	{
		switch(file.GetTag())
		{
		case TAG_NPFX:
			Npfx = file.GetText();
			result = file.NextLine();
			break;
		case TAG_GIVN:
			Givn = file.GetText();
			result = file.NextLine();
			break;
		case TAG_NICK:
			Nick = file.GetText();
			result = file.NextLine();
			break;
		case TAG_SPFX:
			Spfx = file.GetText();
			result = file.NextLine();
			break;
		case TAG_SURN:
			Surn = file.GetText();
			result = file.NextLine();
			break;
		case TAG_NSFX:
			Nsfx = file.GetText();
			result = file.NextLine();
			break;
		case TAG_NOTE:
			result = Note.ImportNote(file);
			break;
		case TAG_SOUR:
			Sourceref = new GC_SOURCECITE();
			result = Sourceref->Import(file,Sources);
			SourcerefIDs.Add(Sourcerefs.Add(Sourceref));
			break;
		case TAG_ALIA:
			if (file.ConvData->UserDefinedTags && file.GetSystem()==SYSTEM_BROTHERSKEEPERS)
				return TRUE;
			break;
		default:
			result = file.IllegalTag();
			break;
		}
		if (!result)
			return FALSE;
		if (!file.InterpretLine())
			return FALSE;
	}
	return TRUE;
}