/****************************************************************
 *                                                              *
 *  Copyright (C) 2003-2009 Christoffer Owe                     *
 *  For conditions of distribution and use, see License.txt     *
 *                                                              *
 ****************************************************************/

#ifndef __GC_SOURCE
#define __GC_SOURCE

#include "gedcom.h"
#include "common.h"
#include "gc_address.h"
#include "gc_note.h"
#include "gc_date.h"
#include "gc_repository.h"
#include "gc_object.h"

class GC_SOURCE
{
public:
	GC_STRING Author;
	GC_STRING Title;
	STRING Abbreviation;
	GC_STRING Publication;
	GC_STRING Text;
	GC_REPREF Repref;
	GC_NOTE Note;
	VECTOR<GC_OBJECT*> Objects;
	GC_CHANGE Change;

	BOOL Import(GEDCOMFILE&);
};

class GC_SOURCECITE
{
public:
	// Structured source cites:
	TCHAR SourceID[XREFSIZE+1];
	STRING Page;
	STRING Quality;
	// Unstructured source cites:
	GC_STRING SourceDescription;
	long NewSourceID;
	// Common attributes:
	GC_STRING Text;
	STRING TextDate;
	GC_NOTE Note;

	BOOL Import(GEDCOMFILE&,VECTOR<GC_SOURCE*>&);
};

#endif