/****************************************************************
 *                                                              *
 *  Copyright (C) 2003-2009 Christoffer Owe                     *
 *  For conditions of distribution and use, see License.txt     *
 *                                                              *
 ****************************************************************/

#include <Windows.h>
#include <Shlwapi.h>
#include "gc_submitter.h"
#include "gedcom.h"
#include "ged2xml.h"

BOOL GC_SUBMITTER::Import(GEDCOMFILE& file)
{
	BOOL result = TRUE;

	StrCpy(id,file.GetXRef());
	if (!file.NextLine())
		return FALSE;
	if (!file.InterpretLine())
		return FALSE;
	while (file.GetLevel()>0)
	{
		switch(file.GetTag())
		{
		case TAG_NAME:
			Name = file.GetText();
			result = file.NextLine();
			break;
		case TAG_ADDR:
			result = Address.Import(file);
			break;
		case TAG_CHAN:
			result = Change.Import(file);
			break;
		case UTAG_EMAIL:	// Legacy
			Email = file.GetText();
			result = file.NextLine();
			break;
		default:
			result = file.IllegalTag();
			break;
		}
		if (!result)
			return FALSE;
		if (!file.InterpretLine())
			return FALSE;
	}
	return TRUE;
}