/****************************************************************
 *                                                              *
 *  Copyright (C) 2007-2009 Christoffer Owe                     *
 *  For conditions of distribution and use, see License.txt     *
 *                                                              *
 ****************************************************************/

#include <windows.h>
#include <strsafe.h>
#include "ged2xml.h"
#include "gc_todo.h"

// Import _TODO from FamilyOrigins
BOOL GC_TODO::Import(GEDCOMFILE& file,TCHAR* PersonID)
{
	BOOL result = TRUE;
	int TopLevel;

	TopLevel = file.GetLevel();
	StringCbCopy(this->PersonID,sizeof(this->PersonID),PersonID);
	if (!file.NextLine())
		return FALSE;
	if (!file.InterpretLine())
		return FALSE;
	while (file.GetLevel()>TopLevel && result==TRUE)
	{
		switch(file.GetTag())
		{
			case TAG_DESC:
				Title = file.GetText();
				if (!file.NextLine())
					return FALSE;
				break;
			case TAG_DATE:
				result = Date.Import(file);
				break;
			case TAG_NOTE:
				result = Problem.ImportNote(file);
				break;
			default:
				result = file.IllegalTag();
			break;
		}
		if (!result)
			return FALSE;
		if (!file.InterpretLine())
			return FALSE;
	}
	return TRUE;
}